Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class DocumentBuilderFactory

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilderFactory

Direct Known Subclasses:
  JXDocumentBuilderFactory

public abstract class DocumentBuilderFactory
extends java.lang.Object

Defines a factory API that enables applications to obtain a parser that produces DOM object trees from XML documents.

Since:
  JAXP 1.0

Constructor Summary
`protected` | `DocumentBuilderFactory()`

Method Summary
`abstract java.lang.Object` | `getAttribute(java.lang.String name)` Allows the user to retrieve specific attributes on the underlying implementation.
`boolean` | `isCoalescing()` Indicates whether or not the factory is configured to produce parsers which converts CDATA nodes to Text nodes and appends it to the adjacent (if any) Text node.
`boolean` | `isExpandEntityReferences()` Indicates whether or not the factory is configured to produce parsers which expand entity reference nodes.
`boolean` | `isIgnoringComments()` Indicates whether or not the factory is configured to produce parsers which ignores comments.
`boolean` | `isIgnoringElementContentWhitespace()` Indicates whether or not the factory is configured to produce parsers which ignore ignorable whitespace in element content.
`boolean` | `isNamespaceAware()` Indicates whether or not the factory is configured to produce parsers which are namespace aware.
`boolean` | `isValidating()` Indicates whether or not the factory is configured to produce parsers which validate the XML content during parse.
`abstract DocumentBuilder` | `newDocumentBuilder()` Creates a new instance of a DocumentBuilder using the currently configured parameters.
`static DocumentBuilderFactory` | `newInstance()` Obtain a new instance of a `DocumentBuilderFactory`.
`abstract void` | `setAttribute(java.lang.String name, java.lang.Object value)` Allows the user to set specific attributes on the underlying implementation.
`void` | `setCoalescing(boolean coalescing)` Specifies that the parser produced by this code will convert CDATA nodes to Text nodes and append it to the adjacent (if any) text node.
`void` | `setExpandEntityReferences(boolean expandEntityRef)` Specifies that the parser produced by this code will expand entity reference nodes.
`void` | `setIgnoringComments(boolean ignoreComments)` Specifies that the parser produced by this code will ignore comments.
`void` | `setIgnoringElementContentWhitespace(boolean whitespace)` Specifies that the parsers created by this factory must eliminate whitespace in element content (sometimes known loosely as 'ignorable whitespace') when parsing XML documents (see XML Rec 2.10).
`void` | `setNamespaceAware(boolean awareness)` Specifies that the parser produced by this code will provide support for XML namespaces.
`void` | `setValidating(boolean validating)` Specifies that the parser produced by this code will validate documents as they are parsed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentBuilderFactory

    protected DocumentBuilderFactory()

Method Detail

### newInstance

    public static DocumentBuilderFactory newInstance()

  Obtain a new instance of a `DocumentBuilderFactory`. This static method creates a new factory instance. This method uses the following ordered lookup procedure to determine the `DocumentBuilderFactory` implementation class to load:
  - Use the `javax.xml.parsers.DocumentBuilderFactory` system property.
  - Use the JAVA_HOME(the parent directory where jdk is installed)/lib/jaxp.properties for a property file that contains the name of the implementation class keyed on the same value as the system property defined above.
  - Use the Services API (as detailed in teh JAR specification), if available, to determine the classname. The Services API will look for a classname in the file `META-INF/services/javax.xml.parsers.DocumentBuilderFactory` in jars available to the runtime.
  - Platform default `DocumentBuilderFactory` instance.
  Once an application has obtained a reference to a `DocumentBuilderFactory` it can use the factory to configure and obtain parser instances.
  Throws:
    `FactoryConfigurationError` - if the implementation is not available or cannot be instantiated.

### newDocumentBuilder

    public abstract DocumentBuilder newDocumentBuilder()
                                                throws ParserConfigurationException

  Creates a new instance of a DocumentBuilder using the currently configured parameters.
  Throws:
    `ParserConfigurationException` - if a DocumentBuilder cannot be created which satisfies the configuration requested

### setNamespaceAware

    public void setNamespaceAware(boolean awareness)

  Specifies that the parser produced by this code will provide support for XML namespaces. By default the value of this is set to `false`

### setValidating

    public void setValidating(boolean validating)

  Specifies that the parser produced by this code will validate documents as they are parsed. By default the value of this is set to `false`

### setIgnoringElementContentWhitespace

    public void setIgnoringElementContentWhitespace(boolean whitespace)

  Specifies that the parsers created by this factory must eliminate whitespace in element content (sometimes known loosely as 'ignorable whitespace') when parsing XML documents (see XML Rec 2.10). Note that only whitespace which is directly contained within element content that has an element only content model (see XML Rec 3.2.1) will be eliminated. Due to reliance on the content model this setting requires the parser to be in validating mode. By default the value of this is set to `false`

### setExpandEntityReferences

    public void setExpandEntityReferences(boolean expandEntityRef)

  Specifies that the parser produced by this code will expand entity reference nodes. By default the value of this is set to `true`

### setIgnoringComments

    public void setIgnoringComments(boolean ignoreComments)

  Specifies that the parser produced by this code will ignore comments. By default the value of this is set to `false`

### setCoalescing

    public void setCoalescing(boolean coalescing)

  Specifies that the parser produced by this code will convert CDATA nodes to Text nodes and append it to the adjacent (if any) text node. By default the value of this is set to `false`

### isNamespaceAware

    public boolean isNamespaceAware()

  Indicates whether or not the factory is configured to produce parsers which are namespace aware.

### isValidating

    public boolean isValidating()

  Indicates whether or not the factory is configured to produce parsers which validate the XML content during parse.

### isIgnoringElementContentWhitespace

    public boolean isIgnoringElementContentWhitespace()

  Indicates whether or not the factory is configured to produce parsers which ignore ignorable whitespace in element content.

### isExpandEntityReferences

    public boolean isExpandEntityReferences()

  Indicates whether or not the factory is configured to produce parsers which expand entity reference nodes.

### isIgnoringComments

    public boolean isIgnoringComments()

  Indicates whether or not the factory is configured to produce parsers which ignores comments.

### isCoalescing

    public boolean isCoalescing()

  Indicates whether or not the factory is configured to produce parsers which converts CDATA nodes to Text nodes and appends it to the adjacent (if any) Text node.

### setAttribute

    public abstract void setAttribute(java.lang.String name,
                                      java.lang.Object value)
                               throws java.lang.IllegalArgumentException

  Allows the user to set specific attributes on the underlying implementation.
  Parameters:
    `name` - The name of the attribute.
    `value` - The value of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

### getAttribute

    public abstract java.lang.Object getAttribute(java.lang.String name)
                                           throws java.lang.IllegalArgumentException

  Allows the user to retrieve specific attributes on the underlying implementation.
  Parameters:
    `name` - The name of the attribute.
  Returns:
    value The value of the attribute.
  Throws:
    `java.lang.IllegalArgumentException` - thrown if the underlying implementation doesn't recognize the attribute.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Sun Microsystems, Inc. All rights reserved.